FROM openshift/golang-builder@sha256:21aab8ec0f5d119e4f6dab12f7ad6a1cec15d5f9071ae0c7431be760f29d4c71 AS builder
ENV __doozer=update BUILD_RELEASE=202203081819.p0.gdad46d0.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202203081819.p0.gdad46d0.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=dad46d0 OS_GIT_VERSION=4.9.0-202203081819.p0.gdad46d0.assembly.stream-dad46d0 SOURCE_DATE_EPOCH=1629741438 SOURCE_GIT_COMMIT=dad46d03bda869cf9b8ccff0087fb827906bc288 SOURCE_GIT_TAG=v0.1.0-427-gdad46d0 SOURCE_GIT_URL=https://github.com/openshift/csi-external-resizer 
WORKDIR /go/src/github.com/kubernetes-csi/external-resizer
COPY . .
RUN make build

FROM openshift/ose-base:v4.9.0.20220308.190656
ENV __doozer=update BUILD_RELEASE=202203081819.p0.gdad46d0.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202203081819.p0.gdad46d0.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=dad46d0 OS_GIT_VERSION=4.9.0-202203081819.p0.gdad46d0.assembly.stream-dad46d0 SOURCE_DATE_EPOCH=1629741438 SOURCE_GIT_COMMIT=dad46d03bda869cf9b8ccff0087fb827906bc288 SOURCE_GIT_TAG=v0.1.0-427-gdad46d0 SOURCE_GIT_URL=https://github.com/openshift/csi-external-resizer 
COPY --from=builder /go/src/github.com/kubernetes-csi/external-resizer/bin/csi-resizer /usr/bin/
ENTRYPOINT ["/usr/bin/csi-resizer"]

LABEL \
        name="openshift/ose-csi-external-resizer" \
        com.redhat.component="ose-csi-external-resizer-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202203081819.p0.gdad46d0.assembly.stream" \
        io.openshift.build.commit.id="dad46d03bda869cf9b8ccff0087fb827906bc288" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-resizer" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-resizer/commit/dad46d03bda869cf9b8ccff0087fb827906bc288" \
        version="v4.9.0"

